Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision b7044dc94e1e4ee9f69ad6841e60c9602d5ea86b)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision f3238bb3d197b79924fe41a21679e3fe1407e0d2)
@@ -1,2 +1,8 @@
+2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* clock/ckinit.c, console/console.c, include/bsp.h,
+	network/network.c, startup/bspstart.c, timer/timer.c: Convert to
+	using c99 fixed size types.
+
 2004-02-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68302/clock/ckinit.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/clock/ckinit.c	(revision b7044dc94e1e4ee9f69ad6841e60c9602d5ea86b)
+++ c/src/lib/libbsp/m68k/gen68302/clock/ckinit.c	(revision f3238bb3d197b79924fe41a21679e3fe1407e0d2)
@@ -39,5 +39,5 @@
  *  number of clock ticks since the driver was initialized.
  */
-volatile rtems_unsigned32 Clock_driver_ticks;
+volatile uint32_t         Clock_driver_ticks;
 
 /*
@@ -48,5 +48,5 @@
  *  has passed.
  */
-rtems_unsigned32 Clock_isrs;
+uint32_t         Clock_isrs;
 
 void Clock_exit( void );
@@ -129,5 +129,5 @@
 )
 {
-    rtems_unsigned32 isrlevel;
+    uint32_t         isrlevel;
     rtems_libio_ioctl_args_t *args = pargp;
  
Index: c/src/lib/libbsp/m68k/gen68302/console/console.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/console/console.c	(revision b7044dc94e1e4ee9f69ad6841e60c9602d5ea86b)
+++ c/src/lib/libbsp/m68k/gen68302/console/console.c	(revision f3238bb3d197b79924fe41a21679e3fe1407e0d2)
@@ -66,5 +66,5 @@
   p->scc2.bd.rx[0].length = 0x0000;
   p->scc2.bd.rx[0].buffer =
-      (rtems_unsigned8 *) &m302.scc2.bd.rx[1]; /* RxBD1 is Rx buffer */
+      (uint8_t*) &m302.scc2.bd.rx[1]; /* RxBD1 is Rx buffer */
 
   p->reg.scc[1].dsr = 0x7000;		/* set full-length last stop bit */
@@ -73,5 +73,5 @@
   p->scc2.bd.tx[0].length = 0x0001;
   p->scc2.bd.tx[0].buffer =
-      (rtems_unsigned8 *) &m302.scc2.bd.tx[1]; /* TxBD1 is Tx buffer */
+      (uint8_t*) &m302.scc2.bd.tx[1]; /* TxBD1 is Tx buffer */
 
   p->reg.scc[1].scce = 0xFF;		/* clear all SCC event flags */
Index: c/src/lib/libbsp/m68k/gen68302/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/include/bsp.h	(revision b7044dc94e1e4ee9f69ad6841e60c9602d5ea86b)
+++ c/src/lib/libbsp/m68k/gen68302/include/bsp.h	(revision f3238bb3d197b79924fe41a21679e3fe1407e0d2)
@@ -69,6 +69,6 @@
 
 #define rtems_bsp_delay( microseconds ) \
-  { register rtems_unsigned32 _delay=(microseconds); \
-    register rtems_unsigned32 _tmp=123; \
+  { register uint32_t         _delay=(microseconds); \
+    register uint32_t         _tmp=123; \
     asm volatile( "0: \
                      nbcd      %0 ; \
Index: c/src/lib/libbsp/m68k/gen68302/network/network.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/network/network.c	(revision b7044dc94e1e4ee9f69ad6841e60c9602d5ea86b)
+++ c/src/lib/libbsp/m68k/gen68302/network/network.c	(revision f3238bb3d197b79924fe41a21679e3fe1407e0d2)
@@ -288,5 +288,5 @@
 {
 
-	rtems_unsigned16 status;
+	uint16_t         status;
 	int i;
 	int nRetired;
@@ -389,5 +389,5 @@
 	struct ifnet *ifp = &sc->arpcom.ac_if;
 	struct mbuf *m;
-	rtems_unsigned16 status;
+	uint16_t         status;
 	volatile struct m68302_scc_bd *rxBd;
 	int rxBdIndex;
@@ -475,5 +475,5 @@
 			m = sc->rxMbuf[rxBdIndex];
 			m->m_len = m->m_pkthdr.len = rxBd->data_lgth -
-						sizeof(rtems_unsigned32) -
+						sizeof(uint32_t) -
 						sizeof(struct ether_header);
 			eh = mtod (m, struct ether_header *);
@@ -534,5 +534,5 @@
 	volatile struct m68302_scc_bd *firstTxBd, *txBd;
 	struct mbuf *l = NULL;
-	rtems_unsigned16 status;
+	uint16_t         status;
 	int nAdded;
 	
Index: c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c	(revision b7044dc94e1e4ee9f69ad6841e60c9602d5ea86b)
+++ c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c	(revision f3238bb3d197b79924fe41a21679e3fe1407e0d2)
@@ -38,5 +38,5 @@
  
 void bsp_postdriver_hook(void);
-void bsp_libc_init( void *, unsigned32, int );
+void bsp_libc_init( void *, uint32_t, int );
 void bsp_pretasking_hook(void);               /* m68k version */
 
Index: c/src/lib/libbsp/m68k/gen68302/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/timer/timer.c	(revision b7044dc94e1e4ee9f69ad6841e60c9602d5ea86b)
+++ c/src/lib/libbsp/m68k/gen68302/timer/timer.c	(revision f3238bb3d197b79924fe41a21679e3fe1407e0d2)
@@ -41,5 +41,5 @@
 			 */
 
-rtems_unsigned32 Timer_interrupts;
+uint32_t         Timer_interrupts;
 
 rtems_boolean Timer_driver_Find_average_overhead;
@@ -80,6 +80,6 @@
 int Read_timer( void )
 {
-  rtems_unsigned16 clicks;
-  rtems_unsigned32 total;
+  uint16_t         clicks;
+  uint32_t         total;
 
   /*
